> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/vm/disk/modifydisksresourcegroup.md).

# ModifyDisksResourceGroup

## 1. 接口描述

本接口(ModifyDisksResourceGroup)用于修改云硬盘所属的资源组。

{% hint style="info" %}
**注意事项**

* 支持批量操作。每次请求批量实例的上限为100。
* 该接口只有管理员角色的用户能够进行操作。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称            | 必选 | 类型              | 描述                                          |
| --------------- | -- | --------------- | ------------------------------------------- |
| diskIds         | 是  | Array of String | <p>云硬盘ID列表。</p><p>每次请求允许操作的云硬盘数量上限是100。</p> |
| resourceGroupId | 是  | String          | 资源组ID。                                      |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 将云盘移动到指定资源组。**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyDisksResourceGroup
<Common Request Params>

Request:
{
  "diskIds": ["diskId1", "diskId2"],
  "resourceGroupId": "resourceGroup1"
}

Response:
{
  "requestId": "T4C35327C-7B13-47B8-A815-5E5213D4A9F9",
  "response": {
    "requestId": "T4C35327C-7B13-47B8-A815-5E5213D4A9F9"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
